Debian Bug report logs - #598302
tangerine: CVE-2010-3381: insecure library loading

version graph

Package: tangerine; Maintainer for tangerine is Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>; Source for tangerine is src:tangerine.

Reported by: Raphael Geissert <geissert@debian.org>

Date: Tue, 28 Sep 2010 04:25:06 UTC

Severity: grave

Tags: patch, security

Found in version tangerine/0.3.2.2-5

Fixed in version tangerine/0.3.2.2-6

Done: Iain Lane <laney@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#598302; Package tangerine. (Tue, 28 Sep 2010 04:25:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Tue, 28 Sep 2010 04:25:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: tangerine: CVE-2010-3381: insecure library loading
Date: Tue, 28 Sep 2010 04:22:47 +0000
Package: tangerine
Version: 0.3.2.2-5
Severity: grave
Tags: security
User: team@security.debian.org
Usertags: ldpath

Hello,

During a review of the Debian archive, I've found your package to
contain a script that can be abused by an attacker to execute arbitrary
code.

The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/tangerine line 7:
export LD_LIBRARY_PATH=${exec_prefix}/lib/tangerine:$LD_LIBRARY_PATH
/usr/bin/tangerine-properties line 8:
export LD_LIBRARY_PATH=${exec_prefix}/lib/tangerine:$LD_LIBRARY_PATH

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.

This vulnerability has been assigned the CVE id CVE-2010-3381. Please make sure
you mention it when forwarding this report to upstream and when fixing
this bug (everywhere: upstream and here at Debian.)

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3381
[1] http://security-tracker.debian.org/tracker/CVE-2010-3381

Sincerely,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#598302; Package tangerine. (Mon, 11 Oct 2010 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Mon, 11 Oct 2010 09:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 598302@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: 598302@bugs.debian.org
Subject: patch for CVE-2010-3381
Date: Mon, 11 Oct 2010 11:05:26 +0200
[Message part 1 (text/plain, inline)]
Dear maintainer,

Here is a NMU patch that fixes this issue.

Regards,

-- 
Etienne Millon
[tangerine-CVE-2010-3381.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Mon, 11 Oct 2010 09:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#598302; Package tangerine. (Mon, 11 Oct 2010 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Mon, 11 Oct 2010 13:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 598302@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: Etienne Millon <etienne.millon@gmail.com>, 598302@bugs.debian.org
Subject: Re: [pkg-cli-apps-team] Bug#598302: patch for CVE-2010-3381
Date: Mon, 11 Oct 2010 14:52:23 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Mon, Oct 11, 2010 at 11:05:26AM +0200, Etienne Millon wrote:
>Dear maintainer,
>
>Here is a NMU patch that fixes this issue.

Thanks for the patch. No need to NMU though: I'll take a run at these
bugs this week.

Cheers,
Iain
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#598302; Package tangerine. (Sat, 23 Oct 2010 21:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Sat, 23 Oct 2010 21:06:10 GMT) Full text and rfc822 format available.

Message #22 received at 598302@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Iain Lane <laney@ubuntu.com>
Cc: Etienne Millon <etienne.millon@gmail.com>, 598302@bugs.debian.org
Subject: Re: [pkg-cli-apps-team] Bug#598302: patch for CVE-2010-3381
Date: Sat, 23 Oct 2010 23:04:20 +0200
On Mon, Oct 11, 2010 at 02:52:23PM +0100, Iain Lane wrote:
> Hi,
> 
> On Mon, Oct 11, 2010 at 11:05:26AM +0200, Etienne Millon wrote:
> >Dear maintainer,
> >
> >Here is a NMU patch that fixes this issue.
> 
> Thanks for the patch. No need to NMU though: I'll take a run at these
> bugs this week.

What's the status?

Cheers,
        Moritz








Information forwarded to debian-bugs-dist@lists.debian.org, Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>:
Bug#598302; Package tangerine. (Sat, 23 Oct 2010 23:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>. (Sat, 23 Oct 2010 23:39:05 GMT) Full text and rfc822 format available.

Message #27 received at 598302@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: Moritz Muehlenhoff <jmm@inutil.org>, 598302@bugs.debian.org
Cc: Etienne Millon <etienne.millon@gmail.com>
Subject: Re: Bug#598302: [pkg-cli-apps-team] Bug#598302: patch for CVE-2010-3381
Date: Sun, 24 Oct 2010 00:36:49 +0100
[Message part 1 (text/plain, inline)]
On Sat, Oct 23, 2010 at 11:04:20PM +0200, Moritz Muehlenhoff wrote:
>On Mon, Oct 11, 2010 at 02:52:23PM +0100, Iain Lane wrote:
>> Hi,
>>
>> On Mon, Oct 11, 2010 at 11:05:26AM +0200, Etienne Millon wrote:
>> >Dear maintainer,
>> >
>> >Here is a NMU patch that fixes this issue.
>>
>> Thanks for the patch. No need to NMU though: I'll take a run at these
>> bugs this week.
>
>What's the status?

Oh yes, I forgot to commit + push. Will do so tomorrow EST, thanks for
the ping. :-)

Cheers,
Iain
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Iain Lane <laney@ubuntu.com> to control@bugs.debian.org. (Sun, 24 Oct 2010 16:21:04 GMT) Full text and rfc822 format available.

Reply sent to Iain Lane <laney@ubuntu.com>:
You have taken responsibility. (Mon, 25 Oct 2010 16:21:09 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Mon, 25 Oct 2010 16:21:09 GMT) Full text and rfc822 format available.

Message #34 received at 598302-close@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: 598302-close@bugs.debian.org
Subject: Bug#598302: fixed in tangerine 0.3.2.2-6
Date: Mon, 25 Oct 2010 16:17:20 +0000
Source: tangerine
Source-Version: 0.3.2.2-6

We believe that the bug you reported is fixed in the latest version of
tangerine, which is due to be installed in the Debian FTP archive:

tangerine-dbg_0.3.2.2-6_amd64.deb
  to main/t/tangerine/tangerine-dbg_0.3.2.2-6_amd64.deb
tangerine_0.3.2.2-6.diff.gz
  to main/t/tangerine/tangerine_0.3.2.2-6.diff.gz
tangerine_0.3.2.2-6.dsc
  to main/t/tangerine/tangerine_0.3.2.2-6.dsc
tangerine_0.3.2.2-6_amd64.deb
  to main/t/tangerine/tangerine_0.3.2.2-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598302@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Iain Lane <laney@ubuntu.com> (supplier of updated tangerine package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 25 Oct 2010 16:59:13 +0100
Source: tangerine
Binary: tangerine tangerine-dbg
Architecture: source amd64
Version: 0.3.2.2-6
Distribution: unstable
Urgency: low
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Changed-By: Iain Lane <laney@ubuntu.com>
Description: 
 tangerine  - music server using DAAP
 tangerine-dbg - music server using DAAP (debug symbols)
Closes: 598302
Changes: 
 tangerine (0.3.2.2-6) unstable; urgency=low
 .
   * [7c12c27] Remove duplicate patch entry from series
   * [7c5366d] Fix security issue CVE-2010-3381 (insecure library
     loading) (Closes: 598302) - thanks to Etienne Millon
     <etienne.millon@gmail.com>
Checksums-Sha1: 
 e18a2758c29e4ea63e708099a02f345b2150142b 1977 tangerine_0.3.2.2-6.dsc
 e6dd76a3102ea096db513e4d7b6b83e20bab236e 6026 tangerine_0.3.2.2-6.diff.gz
 81abfaf4e6165463c9a928ccf72751f399c4d20b 91430 tangerine_0.3.2.2-6_amd64.deb
 2d21648349e1990f2fed5143e3562a673021f119 35736 tangerine-dbg_0.3.2.2-6_amd64.deb
Checksums-Sha256: 
 cad9d476c87c40910c3178651178f4238809712a78149363722e741da1e8fcea 1977 tangerine_0.3.2.2-6.dsc
 67beb70c03a3933c2c78afe86ba20b95e616756d2211b0f59bf8f349d87a39da 6026 tangerine_0.3.2.2-6.diff.gz
 81a9b66ddfb5593f2f7d6514389f8a227a7e97384610a47a3861767700677f34 91430 tangerine_0.3.2.2-6_amd64.deb
 a33f01969a77961a91b61faf0c8d1fd87acfacaf09c0d85bf30948cab4de766d 35736 tangerine-dbg_0.3.2.2-6_amd64.deb
Files: 
 a878e3d933df6b8bb4403a21ae1a714e 1977 gnome optional tangerine_0.3.2.2-6.dsc
 37564df3d7cf8eea53be39f19d267f87 6026 gnome optional tangerine_0.3.2.2-6.diff.gz
 ede2d0e236187a8736ecc52de58fa700 91430 gnome optional tangerine_0.3.2.2-6_amd64.deb
 3f43e98fb24178f1dc741d3cf4209b33 35736 debug extra tangerine-dbg_0.3.2.2-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJMxawBAAoJEMkPnLkOH60MazwIANRuYq02w4bSpjtgWqSBKpnO
OEaq49NoXvDls284gBMFS3MoW5V9OOrollW6yFqpaGqFGBELNxwc+JSJOY19trDB
+hTs16MbyiufZCWoW+OpxVhnLzXt1XI4vWrmgN9Z5qXkog1PNkfxJMIjsClhyOxT
+oU7r3HkLAx9rD2qaCskXEo/PSopa1aUw0gnAMdcYCgpeeCNVlZBGe8VLU2/Jt16
2ISep98eqY9F/T7eU8ERhGX7YWp49OBleVgyrq256MWGhqOYXaY0I9R0YKRKGofm
n3WWbcWevWXdigWvaUZ+dBMQSAS88vG0dANpQywC39pZX3fCo/XarC6vWxeBxUc=
=oq+S
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Dec 2010 07:30:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:26:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.